#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		debug_package	%{nil}
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	qt6-qtwayland
Version		:	6.8.0
Release		:	17.2.0.rel%{?dist}
Summary		:	Qt6 - Wayland platform support and QtCompositor module

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://download.qt.io/archive/qt/(vers/rel)/sumodules

Source0		:	%{sname}-everywhere-src-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cmake
BuildRequires	:	gcc-c++
BuildRequires	:	qt6-qtbase-devel
BuildRequires	:	qt6-qtdeclarative-devel
BuildRequires	:	Vulkan-Loader-devel
BuildRequires	:	wayland-protocols

#-----------------------------------------------------------------------------
%description
Qt6 - Wayland platform support and QtCompositor module

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%license LICENSES/*
%{_qt6_libdir}/libQt6WaylandClient.so.6*
%{_qt6_libdir}/libQt6WaylandCompositor.so.6*
%{_qt6_libdir}/libQt6WaylandCompositorIviapplication.so.6*
%{_qt6_libdir}/libQt6WaylandCompositorPresentationTime.so.6*
%{_qt6_libdir}/libQt6WaylandCompositorWLShell.so.6*
%{_qt6_libdir}/libQt6WaylandCompositorXdgShell.so.6*
%{_qt6_libdir}/libQt6WaylandEglClientHwIntegration.so.6*
%{_qt6_libdir}/libQt6WaylandEglCompositorHwIntegration.so.6*
%{_qt6_libdir}/libQt6WlShellIntegration.so.6*
%{_qt6_plugindir}/wayland-decoration-client/
%{_qt6_plugindir}/wayland-graphics-integration-server
%{_qt6_plugindir}/wayland-graphics-integration-client
%{_qt6_plugindir}/wayland-shell-integration
%{_qt6_plugindir}/platforms/libqwayland-egl.so
%{_qt6_plugindir}/platforms/libqwayland-generic.so
%{_qt6_qmldir}/QtWayland/

#=============================================================================
%package		devel
Summary		:	Development files for %{name}

#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%{_qt6_headerdir}/QtWaylandCompositor/
%{_qt6_headerdir}/QtWaylandClient/
%{_qt6_headerdir}/QtWaylandEglClientHwIntegration/
%{_qt6_headerdir}/QtWaylandEglCompositorHwIntegration/
%{_qt6_headerdir}/QtWaylandCompositorIviapplication/
%{_qt6_headerdir}/QtWaylandCompositorPresentationTime/
%{_qt6_headerdir}/QtWaylandCompositorWLShell/
%{_qt6_headerdir}/QtWaylandCompositorXdgShell/
%{_qt6_headerdir}/QtWlShellIntegration/
%{_qt6_headerdir}/QtWaylandGlobal/
%{_qt6_libexecdir}/qtwaylandscanner
%{_qt6_libdir}/cmake/Qt6WaylandGlobalPrivate/
%{_qt6_libdir}/libQt6WaylandCompositorIviapplication.prl
%{_qt6_libdir}/libQt6WaylandCompositorIviapplication.so
%{_qt6_libdir}/libQt6WaylandCompositorPresentationTime.prl
%{_qt6_libdir}/libQt6WaylandCompositorPresentationTime.so
%{_qt6_libdir}/libQt6WaylandEglClientHwIntegration.so
%{_qt6_libdir}/libQt6WaylandEglCompositorHwIntegration.so
%{_qt6_libdir}/libQt6WaylandCompositorWLShell.prl
%{_qt6_libdir}/libQt6WaylandCompositorWLShell.so
%{_qt6_libdir}/libQt6WlShellIntegration.so
%{_qt6_libdir}/libQt6WaylandCompositor.so
%{_qt6_libdir}/libQt6WaylandCompositorXdgShell.prl
%{_qt6_libdir}/libQt6WaylandCompositorXdgShell.so
%{_qt6_libdir}/libQt6WaylandClient.so
%{_qt6_libdir}/libQt6WaylandCompositor.prl
%{_qt6_libdir}/libQt6WaylandClient.prl
%{_qt6_libdir}/libQt6WlShellIntegration.prl
%{_qt6_libdir}/libQt6WaylandEglClientHwIntegration.prl
%{_qt6_libdir}/libQt6WaylandEglCompositorHwIntegration.prl
%{_qt6_libdir}/qt6/metatypes/qt6*_metatypes.json
%{_qt6_libdir}/qt6/modules/*.json
%{_qt6_libdir}/pkgconfig/*.pc
%{_qt6_libdir}/cmake/Qt6/*.cmake
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtWaylandTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Gui/*.cmake
%{_qt6_libdir}/cmake/Qt6Qml/QmlPlugins/*.cmake
%{_qt6_libdir}/cmake/Qt6WlShellIntegrationPrivate/Qt6WlShellIntegration*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandClient/Qt6DmaBufServer*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandClient/Qt6DrmEglServer*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandClient/Qt6QWayland*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandClient/Qt6ShmServerBuffer*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandClient/Qt6VulkanServer*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandClient/Qt6Wayland*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositor/Qt6DmaBufServer*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositor/Qt6DrmEglServer*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositor/Qt6QWayland*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositor/Qt6ShmServerBuffer*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositor/Qt6VulkanServer*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositor/Qt6Wayland*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositorIviapplication/Qt6Wayland*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositorPresentationTime/Qt6Wayland*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositorWLShell/Qt6Wayland*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandCompositorXdgShell/Qt6Wayland*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandEglClientHwIntegrationPrivate/Qt6WaylandEgl*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandScannerTools/Qt6WaylandScannerTools*.cmake
%{_qt6_libdir}/cmake/Qt6WaylandEglCompositorHwIntegrationPrivate/Qt6Way*.cmake
%{_qt6_archdatadir}/mkspecs/modules/*.pri

#=============================================================================
%package		examples
Summary		:	Example files for %{name}


#-----------------------------------------------------------------------------
%description		examples
Example files for %{name}

#-----------------------------------------------------------------------------
%files			examples
%defattr(-,root,root,-)
%{_qt6_examplesdir}/

#=============================================================================
%prep
%setup -q -n %{sname}-everywhere-src-%{version}

#-----------------------------------------------------------------------------
#building application
%build

	
cmake							\
	-B _bld						\
	-G Ninja					\
	-S .						\
	-D CMAKE_MESSAGE_LOG_LEVEL=STATUS		\
	-D INSTALL_TRANSLATIONSDIR=%{_qt6_translationdir} \
	-D INSTALL_DATADIR=%{_qt6_datadir}		\
	-D INSTALL_ARCHDATADIR=%{_qt6_archdatadir}	\
	-D INSTALL_PLUGINSDIR=%{_qt6_plugindir}		\
	-D INSTALL_EXAMPLESDIR=%{_qt6_examplesdir}	\
	-D QT_BUILD_EXAMPLES_BY_DEFAULT=ON		\
	-D QT_INSTALL_EXAMPLES_SOURCES=ON		\
	

cmake							\
	--build						\
	_bld						\
	--parallel %(/usr/bin/getconf _NPROCESSORS_ONLN)\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
	cmake						\
	--install					\
	_bld

#-----------------------------------------------------------------------------
%changelog
